package de.hhu.ba.yoshikoWrapper.gui;

import javax.swing.JComponent;
import javax.swing.JPanel;

/**
 * Custom extension of the standard JPanel that provides some comfort functions
 *
 */
@SuppressWarnings("serial")
public class ComfortPanel extends JPanel {
	
	/**
	 * Comfort Function
	 * @param components The components that are to be added to this panel
	 */
	protected void addAll(JComponent... components) {
		for (JComponent c : components){
			this.add(c);
		}
		
	}	
}
