package de.hhu.ba.yoshikoWrapper.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JCheckBox;
import javax.swing.JComponent;


public class EnableWhenSelectedListener implements ActionListener {
	
	private final JComponent component;
	private final JCheckBox checkBox;

	public EnableWhenSelectedListener(JCheckBox cb, JComponent c) {
		this.component = c;
		this.checkBox = cb;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		if (checkBox.isSelected()) {
			component.setEnabled(true);
		}
		else {
			component.setEnabled(false);
		}
	}

}
